gr::mapper::mapper Class Reference

<+description of block+> More...

`#include <mapper.h>`

Inheritance diagram for gr::mapper::mapper:
[legend]

## Public Types

typedef boost::shared_ptr< mapper > | sptr

## Static Public Member Functions

static sptr | make (modtype_t modtype, std::vector< int > symbol_values)
| Return a shared_ptr to a new instance of mapper::mapper.

## Detailed Description

<+description of block+>

## Member Typedef Documentation

## sptr

typedef boost::shared_ptr<mapper> gr::mapper::mapper::sptr

## Member Function Documentation

## make()

static sptr gr::mapper::mapper::make | ( | modtype_t | modtype,
|  | std::vector< int > | symbol_values
| ) |  |

static

Return a shared_ptr to a new instance of mapper::mapper.

To avoid accidental use of raw pointers, mapper::mapper's constructor is in a private implementation class. mapper::mapper::make is the public interface for creating new instances.

The documentation for this class was generated from the following file:

- mapper.h